org.eclipse.incquery.patternlanguage.emf.validation

## Class EMFIssueCodes

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.emf.validation.EMFIssueCodes

-     public final class EMFIssueCodes
      extends java.lang.Object

  Author:
    Mark Czotter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CARTESIAN_SOFT_WARNING`
    `static java.lang.String` | `CARTESIAN_STRICT_WARNING`
    `static java.lang.String` | `CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR`
    `static java.lang.String` | `DUPLICATE_IMPORT`
    `static java.lang.String` | `FEATURE_NOT_REPRESENTABLE`
    `static java.lang.String` | `IDENTIFIER_AS_KEYWORD`
    `static java.lang.String` | `IMPORT_DEPENDENCY_MISSING`
    `static java.lang.String` | `IMPORT_WITH_GENERATEDCODE`
    `static java.lang.String` | `INVALID_ENUM_LITERAL`
    `static java.lang.String` | `IQR_NOT_ON_CLASSPATH`
    `static java.lang.String` | `JDK_NOT_ON_CLASSPATH`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION`
    `static java.lang.String` | `LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL`
    `static java.lang.String` | `MISSING_PACKAGE_IMPORT`
    `static java.lang.String` | `MISSING_PARAMETER_TYPE`
    `static java.lang.String` | `PARAMETER_TYPE_INVALID`
    `static java.lang.String` | `SINGLEUSE_PARAMETER`
    `static java.lang.String` | `SURROGATE_QUERY_EXISTS`
    `static java.lang.String` | `VARIABLE_TYPE_INVALID_ERROR`
    `static java.lang.String` | `VARIABLE_TYPE_INVALID_WARNING`
    `static java.lang.String` | `VARIABLE_TYPE_MULTIPLE_DECLARATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFIssueCodes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DUPLICATE_IMPORT

          public static final java.lang.String DUPLICATE_IMPORT

      See Also:
        Constant Field Values

    - #### MISSING_PACKAGE_IMPORT

          public static final java.lang.String MISSING_PACKAGE_IMPORT

      See Also:
        Constant Field Values

    - #### IMPORT_WITH_GENERATEDCODE

          public static final java.lang.String IMPORT_WITH_GENERATEDCODE

      See Also:
        Constant Field Values

    - #### IMPORT_DEPENDENCY_MISSING

          public static final java.lang.String IMPORT_DEPENDENCY_MISSING

      See Also:
        Constant Field Values

    - #### INVALID_ENUM_LITERAL

          public static final java.lang.String INVALID_ENUM_LITERAL

      See Also:
        Constant Field Values

    - #### SINGLEUSE_PARAMETER

          public static final java.lang.String SINGLEUSE_PARAMETER

      See Also:
        Constant Field Values

    - #### PARAMETER_TYPE_INVALID

          public static final java.lang.String PARAMETER_TYPE_INVALID

      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_INVALID_ERROR

          public static final java.lang.String VARIABLE_TYPE_INVALID_ERROR

      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_INVALID_WARNING

          public static final java.lang.String VARIABLE_TYPE_INVALID_WARNING

      See Also:
        Constant Field Values

    - #### VARIABLE_TYPE_MULTIPLE_DECLARATION

          public static final java.lang.String VARIABLE_TYPE_MULTIPLE_DECLARATION

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_COMPARE

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATH_EXPRESSION

      See Also:
        Constant Field Values

    - #### LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL

          public static final java.lang.String LITERAL_OR_COMPUTATION_TYPE_MISMATCH_IN_PATTERN_CALL

      See Also:
        Constant Field Values

    - #### CARTESIAN_SOFT_WARNING

          public static final java.lang.String CARTESIAN_SOFT_WARNING

      See Also:
        Constant Field Values

    - #### CARTESIAN_STRICT_WARNING

          public static final java.lang.String CARTESIAN_STRICT_WARNING

      See Also:
        Constant Field Values

    - #### CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR

          public static final java.lang.String CHECK_CONSTRAINT_SCALAR_VARIABLE_ERROR

      See Also:
        Constant Field Values

    - #### IDENTIFIER_AS_KEYWORD

          public static final java.lang.String IDENTIFIER_AS_KEYWORD

      See Also:
        Constant Field Values

    - #### FEATURE_NOT_REPRESENTABLE

          public static final java.lang.String FEATURE_NOT_REPRESENTABLE

      See Also:
        Constant Field Values

    - #### SURROGATE_QUERY_EXISTS

          public static final java.lang.String SURROGATE_QUERY_EXISTS

      See Also:
        Constant Field Values

    - #### MISSING_PARAMETER_TYPE

          public static final java.lang.String MISSING_PARAMETER_TYPE

      See Also:
        Constant Field Values

    - #### JDK_NOT_ON_CLASSPATH

          public static final java.lang.String JDK_NOT_ON_CLASSPATH

      See Also:
        Constant Field Values

    - #### IQR_NOT_ON_CLASSPATH

          public static final java.lang.String IQR_NOT_ON_CLASSPATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EMFIssueCodes

          public EMFIssueCodes()